|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QAbstractExtensionManager Class Reference
[QtDesigner module]

The QAbstractExtensionManager class provides the abstract interface for extension managers in Qt Designer. More...

    #include <QAbstractExtensionManager>

Inherited by QExtensionManager.

- List of all members, including inherited members

### Public Functions

- virtual ~QAbstractExtensionManager ()
- virtual QObject * extension ( QObject * object, const QString & iid ) const = 0
- virtual void registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) = 0
- virtual void unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) = 0

## Detailed Description

The QAbstractExtensionManager class provides the abstract interface for extension managers in Qt Designer.

In Qt Designer, the QAbstract

See also QAbstractExtensionFactory.

## Member Function Documentation

### QAbstractExtensionManager::~QAbstractExtensionManager () `[virtual]`

Destroys the extension manager.

### QObject * QAbstractExtensionManager::extension ( QObject * object, const QString & iid ) const `[pure virtual]`

### void QAbstractExtensionManager::registerExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) `[pure virtual]`

### void QAbstractExtensionManager::unregisterExtensions ( QAbstractExtensionFactory * factory, const QString & iid ) `[pure virtual]`